Riferimento APIBank reconciliation
Payments without an invoice
Money out from the uploaded statements with no invoice found and not marked as needing none: the documents to collect.
GET
Money out from the uploaded statements with no invoice found and not marked as needing none: the documents to collect.
apiKeyheader
AuthorizationBearer <token>API key: gb_test_… or gb_live_…
limit?integerPage size, 1–100
Range
1 <= value <= 100Default
20cursor?stringnext_cursor of the previous page
Length
1 <= length <= 200from?stringDate on or after (YYYY-MM-DD)
Match
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$Format
dateto?stringDate on or before (YYYY-MM-DD)
Match
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$Format
dateGetbeel-Company?stringAct on one of the account's client companies (its id from GET /companies) instead of the key's own account. 404 company_not_found when the key cannot act on it.
Format
uuidOK
application/json- response
object*stringdata*array<>has_more*booleannext_cursor*string|nullcurl -X GET 'https://www.getbeel.com/api/v1/unmatched/payments'Esempio di risposta
{ "object": "list", "data": [ { "object": "bank_transaction", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "statement_id": "string", "date": "2026-10-29", "value_date": "2026-10-29", "description": "string", "reference": "string", "counterparty": { "name": "string", "iban": "string" }, "amount": "-122.00", "balance_after": "122.00", "currency": "string", "type": "string", "reconciliation": { "match_id": "89006248-1085-4089-ad02-d2cbc517e718", "state": "to_confirm", "invoice_id": "string" }, "created_at": "2019-08-24T14:15:22Z" } ], "has_more": true, "next_cursor": "string"}